Menù Principale

Cerca
Login
Registrati
Link
<< Discussione precedente | Discussione successiva >>   
Aggiornamento: X-Sunbird

Vai a pagina   <<      
Autore Messaggio
Danix
gio 22 apr 2010 - 13:00

online

Utente registrato #1
Registrato il: ven 29 dic 2006 - 05:38
Provenienza: Sassari
Messaggi: 12914
zandet2 ha scritto ...

Richiesto test MOLTO importante:
verificate se la nuova versione richiede .NET!!!

Testato questa sera su XPSp3 senza .NET, e il programma non funziona, neanche nella versione installata:
nella pagina di mozilla non vengono specificati requisiti particolari per il funzionamento.

Ho provato su una Virtual Machine con sistema pulito ed effettivamente non si è avviato. Non è partito neanche dopo l'installazione di .Net Framework 2.0 e delle librerie Microsoft Visual C++ 2008 (che ho provato ad installare prima di tentare con il .Net 3.5). Non posso installare .Net 3.5 perchè la VM è troppo poco performante, ho tentato ma è un incubo. Per testare dovrei disinstallare il .Net 3.5 dal computer che uso abitualmente e vedere se Sunbird parte, per poi reinstallare .Net. Preferirei però che qualcuno avesse un'altra soluzione. Inoltre non ho trovato informazioni in rete.

Comunque, se realmente è richiesta quella versione di .Net, forse è meglio tenere in download anche le versioni precedenti e creare due nuove schede per queste due nuove versioni. Le schede precedenti dovrei riuscire a ripristinarle da un backup del database.

[ Modificato gio 22 apr 2010 - 13:00 ]
Torna ad inizio pagina
Sito Web
zandet2
gio 22 apr 2010 - 14:19

online

Utente registrato #3184
Registrato il: mar 06 mar 2007 - 11:52
Provenienza: Busto Arsizio
Messaggi: 3301
Danix ha scritto ...

Ho provato su una Virtual Machine con sistema pulito ed effettivamente non si è avviato. Non è partito neanche dopo l'installazione di .Net Framework 2.0 e delle librerie Microsoft Visual C++ 2008 (che ho provato ad installare prima di tentare con il .Net 3.5)....


Io riesco ad eseguirlo su .NET 2.0 2.0.50727 Service Pack 2 (vedi -Link- ) e per di più su pc blindato.


Comunque, se realmente è richiesta quella versione di .Net, forse è meglio tenere in download anche le versioni precedenti e creare due nuove schede per queste due nuove versioni. Le schede precedenti dovrei riuscire a ripristinarle da un backup del database.


Quando ho aggiornato la scheda con il nuovo download non ho effettuato molte modifiche, giusto la versione del software e il log della revisione, quindi eventualmente si possono praticamente duplicare le schede esistenti.

[ Modificato gio 22 apr 2010 - 14:20 ]
Torna ad inizio pagina
Danix
gio 22 apr 2010 - 15:05

online

Utente registrato #1
Registrato il: ven 29 dic 2006 - 05:38
Provenienza: Sassari
Messaggi: 12914
Io riesco ad eseguirlo su .NET 2.0 2.0.50727 Service Pack 2 (vedi -Link- ) e per di più su pc blindato.

Provo ad installare Microsoft .NET Framework 2.0 Service Pack 2 nella VM.

-- edit-- confermo: funziona, quindi bisognerà aggiungere che è richiesto .NET Framework 2.0 Service Pack 2



Quando ho aggiornato la scheda con il nuovo download non ho effettuato molte modifiche, giusto la versione del software e il log della revisione, quindi eventualmente si possono praticamente duplicare le schede esistenti.

A parte le schede (che per la nuova versione devono essere nuove a causa del conteggio download), da duplicare modificate:

  • questa versione diventerebbe rev_1 e la precedente ritornerebbe ad essere rev_5
  • su SVN bisogna duplicare il sorgente (come per FF), rinominando le cartelle. Lo faccio io stasera
  • in sintesi bisogna rilasciare di nuovo i pacchetti.


P.S. per il momento ho nascosto le schede.


[ Modificato gio 22 apr 2010 - 15:11 ]
Torna ad inizio pagina
Sito Web
zandet2
gio 22 apr 2010 - 16:33

online

Utente registrato #3184
Registrato il: mar 06 mar 2007 - 11:52
Provenienza: Busto Arsizio
Messaggi: 3301
[OFF TOPIC]
Ma un programma Mozilla che richiede .NET, che senso ha????
Gecko e XUL, a cosa servono allora???

[OFF TOPIC mode off]

E poi, secondo questa notizia -Link- sembrerebbe che lo sviluppo di Sunbird verrà bloccato per privilegiare Lightning....


--- edit ---
Visto le premesse, vedrò appena ho un secondo di tempo di inserire in X-Thunderbird la predisposizione per Lightning;
dovrebbe solo servire la voce :

[WriteToPref=$ExeDir$\defaults\pref\sunbird-l10n.js]
Format=pref("[PREF]", [VALUE]);
calendar.week.start=0


ma non ne sono neanche sicuro

[ Modificato gio 22 apr 2010 - 18:10 ]
Torna ad inizio pagina
zandet2
gio 22 apr 2010 - 20:44

online

Utente registrato #3184
Registrato il: mar 06 mar 2007 - 11:52
Provenienza: Busto Arsizio
Messaggi: 3301
Trovato i riferimenti a .NET (veramente nascosti mannaggia a loro!):
nelle specifiche di compilazione dei sorgenti -Link-


Windows:

* If you're using Windows XP, you must have Windows XP Service Pack 2 and .NET Framework 2.0.


In un'altra pagina ho trovato quest'indicazione sui parametri di compilazione:

If you intend to distribute your build to others, and you have not built with --enable-jemalloc, you will need to set WIN32_REDIST_DIR=$VCINSTALLDIR\redist\x86\Microsoft.VC80.CRT in your mozconfig to get the Microsoft CRT DLLs packaged along with the application.


Ho quindi scaricato da internet il set di dll "VC80": -Link-
- Microsoft.VC80.CRT.manifest (serve anche questa)
- msvcm80.dll
- msvcp80.dll
- msvcr80.dll

e le ho inserite nella cartella Bin\Sunbird, e il programma è partito senza problemi.

Quindi, più che .NET sono le runtime aggiornate di VisualStudio quelle necessarie.

Torna ad inizio pagina
Danix
gio 22 apr 2010 - 21:00

online

Utente registrato #1
Registrato il: ven 29 dic 2006 - 05:38
Provenienza: Sassari
Messaggi: 12914
zandet2 ha scritto ...

Quindi, più che .NET sono le runtime aggiornate di VisualStudio quelle necessarie.


Tutto da rifare...
Anche la creazione delle schede è stata inutile. La nuova versione può sostituire la vecchia.
Impostiamo allora la copia delle .dll come per X-OOo4Kids, e rilasciamo la rev_7


--- edit ---

Fatto..


[ Modificato ven 23 apr 2010 - 01:10 ]
Torna ad inizio pagina
Sito Web
Taf
ven 23 apr 2010 - 09:57

online

Utente registrato #251
Registrato il: lun 22 gen 2007 - 10:12
Provenienza: Buttrio (UD)
Messaggi: 3319
Siete 2 grandi!!!

Io, nel frattempo, ero riuscito solo a testare che ci voleva .NET 2 ...sigh!

PS: IMHO l'idea di avere lightning già integrato di default in X-Thunderbird sarebbe una bella iniziativa!
io lo uso da sempre
Torna ad inizio pagina

Vai a pagina   <<      
Moderatori: Danix, Taf, Rcs, Energy, zandet2, ZioZione, Admin, LordJim60

Salta:     Torna ad inizio pagina

RSS discussione: rss 0.92 RSS discussione: rss 2.0 RSS discussione: RDF
Powered by e107 Forum System